Skip to main content
GET
/
accounts
/
{account_id}
/
ach
/
scheduled
List Scheduled ACH Transfers
curl --request GET \
  --url https://api.meow.com/v1/accounts/{account_id}/ach/scheduled \
  --header 'x-api-key: <api-key>'
{
  "scheduled_ach_transfers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "amount": "<string>",
      "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rrule": "<string>",
      "first_occurrence": "2023-11-07T05:31:56Z",
      "transfer_type": "book",
      "description": "<string>",
      "schedule_description": "<string>"
    }
  ],
  "page": {
    "nextOffset": "qwer123454q2f"
  }
}

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Path Parameters

account_id
string
required

The ID of the account.

Query Parameters

limit
integer
default:10
Required range: 1 <= x <= 100
offset
string | null

Opaque offset identifier for pagination. Use the nextOffset from a previous response.

Maximum string length: 100

Response

Successful Response

scheduled_ach_transfers
ScheduledAchTransfer · object[]
required

A list of scheduled ACH transfers for the account.

page
PageMetadata · object

Metadata for pagination